Skip to content

Add a server to Server Inventory.

Request

Send this request to the absolute callback_url returned by /si/servers/challenge. The challenge token is passed either as the code query parameter or as the code property of the request body.

Query
codestring

A challenge value from /si/servers/challenge response.

Bodyapplication/jsonrequired
api_keystringrequired
scopeArray of stringsrequired

A scope value from /si/servers/challenge response.

codestring
curl -i -X POST \
  'https://api.docs.dashboard.webpros.com/_mock/apis/webpros-public-api/si/api-key?code=string' \
  -H 'Content-Type: application/json' \
  -d '{
    "api_key": "string",
    "code": "string",
    "scope": [
      "string"
    ]
  }'

Responses

OK

Response
No content